be.fgov.ehealth.hubservices.core.v2

## Class GetTherapeuticExclusionHistoryRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.GetTherapeuticExclusionHistoryRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:10:04+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetTherapeuticExclusionHistoryRequest
      extends Object
      implements Serializable

  Java class for GetTherapeuticExclusionHistoryRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetTherapeuticExclusionHistoryRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionHistorySelectType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTherapeuticExclusionHistoryRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestType` | `getRequest()` Gets the value of the request property.
    `TherapeuticExclusionHistorySelectType` | `getSelect()` Gets the value of the select property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.
    `void` | `setSelect(TherapeuticExclusionHistorySelectType value)` Sets the value of the select property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTherapeuticExclusionHistoryRequest

          public GetTherapeuticExclusionHistoryRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getSelect

          public TherapeuticExclusionHistorySelectType getSelect()

      Gets the value of the select property.
      Returns:
        possible object is `TherapeuticExclusionHistorySelectType`

    - #### setSelect

          public void setSelect(TherapeuticExclusionHistorySelectType value)

      Sets the value of the select property.
      Parameters:
        `value` - allowed object is `TherapeuticExclusionHistorySelectType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.